<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.rest.models.rs.RsJobDataset" table="rs_job_dataset" >
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="jobId" type="java.lang.String">
            <column name="job_id" length="50" not-null="true">
                <comment>任务id</comment>
            </column>
        </property>
        <property name="jobDatasetId" type="java.lang.String">
            <column name="job_dataset_id" length="50" not-null="true">
                <comment>数据集id</comment>
            </column>
        </property>
        <property name="jobDatasetName" type="java.lang.String">
            <column name="job_dataset_name" length="50">
                <comment>数据集中文名(冗余)</comment>
            </column>
        </property>
        <property name="jobDatasetKeyvalue" type="java.lang.String">
            <column name="job_dataset_keyvalue" length="50">
                <comment>数据集关联主键值(最大值)</comment>
            </column>
        </property>
        <property name="jobDatasetCondition" type="java.lang.String">
            <column name="job_dataset_condition" length="1000">
                <comment>数据集过滤条件</comment>
            </column>
        </property>
        <property name="sort" type="java.lang.Integer">
            <column name="sort">
                <comment>排序</comment>
            </column>
        </property>

        <property name="jobDatasetKey" type="java.lang.String">
            <column name="job_dataset_key" length="50">
                <comment>数据集增量字段</comment>
            </column>
        </property>

        <property name="jobDatasetKeytype" type="java.lang.String">
            <column name="job_dataset_keytype" length="50">
                <comment>数据集增量字段类型</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
